Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class DC_11

    java.lang.Object
      com.hp.hpl.jena.vocabulary.DC_11

Direct Known Subclasses:
  DC

    public class DC_11

extends java.lang.Object

Vocabulary definitions from file:vocabularies/dublin-core_11.xml

Author:
  Auto-generated by schemagen on 13 May 2003 08:51

Field Summary
`static Property` | `contributor` An entity responsible for making contributions to the content of the resource.
`static Property` | `coverage` The extent or scope of the content of the resource.
`static Property` | `creator` An entity primarily responsible for making the content of the resource.
`static Property` | `date` A date associated with an event in the life cycle of the resource.
`static Property` | `description` An account of the content of the resource.
`static Property` | `format` The physical or digital manifestation of the resource.
`static Property` | `identifier` An unambiguous reference to the resource within a given context.
`static Property` | `language` A language of the intellectual content of the resource.
`static Resource` | `NAMESPACE` The namespace of the vocabalary as a resource
`static java.lang.String` | `NS` The namespace of the vocabalary as a string ("http://purl.org/dc/elements/1.1/")
`static Property` | `publisher` An entity responsible for making the resource available
`static Property` | `relation` A reference to a related resource.
`static Property` | `rights` Information about rights held in and over the resource.
`static Property` | `source` A reference to a resource from which the present resource is derived.
`static Property` | `subject` The topic of the content of the resource.
`static Property` | `title` A name given to the resource.
`static Property` | `type` The nature or genre of the content of the resource.

Constructor Summary
`DC_11()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabalary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabalary as a string ("http://purl.org/dc/elements/1.1/")

  See Also:
    Constant Field Values

### NAMESPACE

    public static final Resource NAMESPACE

  The namespace of the vocabalary as a resource

### title

    public static final Property title

  A name given to the resource.

### creator

    public static final Property creator

  An entity primarily responsible for making the content of the resource.

### subject

    public static final Property subject

  The topic of the content of the resource.

### description

    public static final Property description

  An account of the content of the resource.

### publisher

    public static final Property publisher

  An entity responsible for making the resource available

### contributor

    public static final Property contributor

  An entity responsible for making contributions to the content of the resource.

### date

    public static final Property date

  A date associated with an event in the life cycle of the resource.

### type

    public static final Property type

  The nature or genre of the content of the resource.

### format

    public static final Property format

  The physical or digital manifestation of the resource.

### identifier

    public static final Property identifier

  An unambiguous reference to the resource within a given context.

### source

    public static final Property source

  A reference to a resource from which the present resource is derived.

### language

    public static final Property language

  A language of the intellectual content of the resource.

### relation

    public static final Property relation

  A reference to a related resource.

### coverage

    public static final Property coverage

  The extent or scope of the content of the resource.

### rights

    public static final Property rights

  Information about rights held in and over the resource.

Constructor Detail

### DC_11

    public DC_11()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabalary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP